<?php

namespace WebkokLab\Backend\Components\App;

use WebkokLab\Lib;
use WebkokLab\Lib\Entities\TestElement;

/**
 * App Component
 */
class App extends Lib\Base\Component
{
    protected static $class_file = __FILE__;

    /**
     * Render page.
     */
    public static function renderIntro()
    {

        $elements_count = TestElement::query()->count();
        $ranges_count = \WebkokLab\Lib\Entities\Range::query()->count();
        $tests_count = \WebkokLab\Lib\Entities\Test::query()->count();

        if ($tests_count != 0){
            wpkok_lab_update_option('intro_is_hide', true);
        }

        self::renderTemplate('intro',
            [
                'elements_count' => $elements_count,
                'ranges_count' => $ranges_count,
                'tests_count' => $tests_count,
            ]
        );
    }


}