<?php

namespace WebkokLab\Backend\Components\Chart;

use WebkokLab\Backend\Components\Chart\Proxy\HealthChart;
use WebkokLab\Lib;

/**
 * Chart Component
 */
class Chart extends Lib\Base\Component
{
    protected static $class_file = __FILE__;

    /**
     * Render
     */
    public static function renderHealth($user_id, $type = null)
    {
        $data = HealthChart::dataset($user_id);
        $data['type'] = $type;
        self::renderTemplate('health', $data);
    }
    /**
     * Render Mini Chart
     */
    public static function renderMini($user_id, $tests_count = 5, $elements_count = 5, $type = null)
    {
        $data = HealthChart::dataset($user_id, $tests_count, $elements_count);
        $data['type'] = $type;
        self::renderTemplate('mini', $data);
    }


    /**
     * Render chart for custom elements
     *
     * @param $user_id
     * @param $elements_ids
     * @param $tests_count
     */
    public static function renderForElements($user_id, $elements_ids, $tests_count = null)
    {
        $ids = array_keys($elements_ids);
        $data = HealthChart::datasetForElements($user_id, $ids, $tests_count);
        $data['element_id'] = $ids;
        self::renderTemplate('elements_chart', $data);
    }

}