<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly
/**
 * Elements chart
 *
 * @var array $datasets
 * @var array $labels
 * @var string $type
 */

if (empty($datasets) || empty($labels)) {
    _e('Not found dataset!', 'webkok-lab');
    return;
}

if (!isset($type) && empty($type)) $type = sanitize_text_field($_POST['chart_type'] ?? '');
if (empty($type)) $type = sanitize_text_field($_GET['chart_type'] ?? '');
$type = !empty($type) ? $type : 'line';

$type = apply_filters('laboratory_elements_chart_type', $type, $datasets);
$datasets = apply_filters('laboratory_elements_chart_type', $datasets, $type);

$labels_txt = json_encode($labels);
$datasets_txt = json_encode($datasets);





?>

<div>
    <canvas id="myChart"></canvas>
    <script>
        var ctx = document.getElementById('myChart').getContext('2d');
        var myChart = new Chart(ctx, {
            type: '<?= esc_js($type)?>',
            data: {
                labels: <?php echo $labels_txt?>,
                datasets: <?php echo $datasets_txt?>
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });
    </script>

</div>

