<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly
/**
 * Health chart
 *
 * @var array $datasets
 * @var array $labels
 * @var array $type
 */

if (empty($datasets) || empty($labels)) {
    _e('Not found dataset!', 'webkok-lab');
    return;
}

$labels_txt = json_encode($labels);
$datasets_txt = json_encode($datasets);
$type =   'line';

?>

<div class="webkok-lab wrap">
    <canvas id="myChart"></canvas>
    <script>
        var ctx = document.getElementById('myChart').getContext('2d');
        var myChart = new Chart(ctx, {
            type: '<?= esc_js($type)?>',
            data: {
                labels: <?php echo $labels_txt?>,
                datasets: <?php echo $datasets_txt?>
            },
            options: {
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            }
        });
    </script>

</div>