<?php

namespace WebkokLab\Backend\Components\Elements;

use WebkokLab\Lib;
use WebkokLab\Lib\Entities\Test;
use WebkokLab\Lib\Entities\TestElement;

/**
 * Elements Component
 */
class Elements extends Lib\Base\Component
{
    protected static $class_file = __FILE__;

    /**
     * Render page.
     */
    public static function renderList()
    {
        $elements = (new TestElement())->get();
        self::renderTemplate('list', ['elements' => $elements]);
    }

    /**
     * Render page.
     */
    public static function renderResults($test_id)
    {
        $test = Test::find($test_id);
        $elements = TestElement::query()->get();
        self::renderTemplate('results', ['test' => $test, 'elements' => $elements]);
    }

    /**
     * Render print.
     */
    public static function renderPrint($atts = null)
    {
        self::renderTemplate('print', ['atts' => $atts]);
    }


    /**
     * Render element selector .
     */
    public static function renderSelector($user_id = null)
    {
        $data['elements'] = Lib\Entities\TestElement::query()->get();
        self::renderTemplate('selector', $data);
    }


}