<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly
/**
 * List of test elements
 *
 * @var array $elements
 */

if (empty($elements) || count($elements) < 1) return;
$elements = apply_filters('laboratory_elements_results_list', $elements);
?>
<div class="row">
    <table class="table  table-striped" width="100%">
        <thead>
        <tr>
            <td width="20%"><?php _e('Component', 'webkok-lab') ?>
            </td>
            <td width="10%"><?php _e('Result', 'webkok-lab') ?>
            </td>
            <td width="40%"><?php _e('Standard Range', 'webkok-lab') ?>
            </td>
            <td width="30%"><?php _e('Unit', 'webkok-lab') ?>
            </td>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($elements as $element) { ?>
            <tr>
                <td style="color: <?php esc_attr_e($element->color); ?>">
                    <?php echo esc_html($element->title) ?>
                </td>
                <td>
                    <input type="number" name="elements_value[<?= esc_html($element->id) ?>]" value="" step="any">
                </td>
                <td>
                    <?php echo apply_filters('laboratory_elements_item_standard_range', $element->standard_range, $element) ?>
                </td>
                <td>
                    <?php echo esc_html($element->unit) ?>
                </td>
            </tr>
        <?php } ?>
        </tbody>

    </table>
</div>
