<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly
/**
 * Results of test
 *
 * @var $test
 * @var array $elements
 */
$details = isset($test->details) ? $test->details : array();
$elements = apply_filters('laboratory_elements_results_list', $elements);
?>
<div>

    <table class="table  table-striped" width="100%">
        <thead>
        <tr >
            <th width="100" style="padding: 15px 0"><?php _e('Element', 'webkok-lab') ?></th>
            <th><?php _e('Value', 'webkok-lab') ?></th>
            <th width="100"><?php _e('Standard Range', 'webkok-lab') ?></th>
            <th width="90"><?php _e('Unit', 'webkok-lab') ?></th>
        </tr>
        </thead>
        <tbody>

        <?php if (isset($test) && isset($test->details) > 0): ?>
            <input type="hidden" name="component">
            <?php foreach ($elements as $key => $element): ?>
                <?php if (!isset($element->id)) continue; ?>
                <?php $result = $details[$element->id] ?? array() ?>

                <tr>
                    <td style="color: <?php esc_attr_e($element->color); ?>">
                        <?= $element->title ?>
                    </td>
                    <td>
                        <input type="number"
                               step="any"
                               name='elements_value[<?= esc_html($element->id) ?>]'
                               value="<?= $result['test_result'] ?? '' ?>"/>
                    </td>
                    <td>
                        <?= apply_filters('laboratory_result_item_standard_range', $result['element_standard_range'] ?? $element->standard_range, $result, $element) ?>
                    </td>
                    <td>
                        <?php echo $result['element_unit'] ?? $element->unit ?>
                    </td>
                </tr>
            <?php endforeach; ?>
        <?php endif; ?>
        </tbody>
    </table>

    <br/>
    <div>
        <input type="hidden" name="test_id" value="<?= esc_html($test->id ?? '') ?>">
    </div>
</div>