<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly
/**
 * Elements Selector
 *
 * @var array $elements
 */

if (empty($elements)) {
    _e('Not found elements!', 'webkok-lab');
    return;
}
$elements = apply_filters('laboratory_elements_results_list', $elements);
?>
<style>
    .wk-elements-selector-color-box {
        width: 36px;
        margin: 0px 10px;
        height: 36px;
    }

    .wk-elements-selector-input {
        margin-top: 10px !important;
    }
</style>

<div style="display: grid;grid-template-columns: repeat(2, 1fr);gap: 10px; width: 100%;">
    <?php foreach ($elements as $index => $element) { ?>
        <div style="display: flex; line-height: normal">

            <input class="wk-elements-selector-input"
                   type="checkbox"
                   id="element_<?= $index ?>"
                   name="elements_ids[<?= $element->id ?>]"
            />

            <label for="element_<?= $index ?>">
                <div style="display: flex">
                    <div class="wk-elements-selector-color-box"
                         style="background: <?php esc_attr_e($element->color) ?>"></div>

                    <div style="font-size: 20pt;">
                        <?php echo esc_html($element->title) ?>
                    </div>
                </div>
            </label>
        </div>
    <?php } ?>
</div>

