<?php

namespace WebkokLab\Backend\Components\Patient;


use WP_User;

/**
 * Patient Component
 */
class Actions
{
    public static function main()
    {
        add_filter('laboratory_address_input_html', array(__CLASS__, 'address_inputs'), 1, 2);
        add_filter('laboratory_user_data_address_html', array(__CLASS__, 'user_address_data'), 2, 2);
    }


    /**
     * User address html
     *
     * @var \WebkokLab\Lib\Models\User|null $user_info
     */
    public static function user_address_data($html, $user_info)
    {
        if (!$user_info || !isset($user_info->id)) return $html;
        return $html . $user_info->address;
    }

    /**
     * Address inputs for user
     *
     * @var WP_User|null $user_info
     */
    public static function address_inputs($html, $user_info)
    {
        return '<tr>
            <td>
                <label for="address">' . __('Address:', 'webkok-lab') . '</label>
            </td>
            <td>
                <input type="text" id="address" name="address" style="width: 350px; max-width: 100%"
                       value="' . esc_attr($user_info->address ?? '') . '">
            </td>
        </tr>';
    }
}