<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly

use WebkokLab\Lib\Models\User;

/**
 * Patient Data
 *
 * @var WP_User|null $user
 */
$user_info = new User($user);
$user_url = get_edit_user_link($user_info->id);
?>
<div class="row" style="padding: 25px 25px; background: white; border-radius: 15px;">
    <div class="wk-col-12 img" style="display:flex; margin-bottom: 15px">
        <?php echo get_avatar( $user_info->id, 64 ); ?>
        <div class="wk-pa-1">
            <div class="wk-col-12 ">
                <b>
                    <?php echo $user_info->name ?? '-'; ?> &nbsp;
                    <?php echo $user_info->family ?? '-'; ?>
                </b>
            </div>
            <div class="wk-col-12 ">
                <?php echo $user_info->email ?? '-' ?>
            </div>
            <div class="wk-col-12 ">
                <a href="<?= esc_url($user_url) ?>" target="_blank">
                    <?= __('Profile', 'webkok-lab') ?>
                </a>
            </div>
        </div>
    </div>
    <div class="wk-col-12 ">
        <hr/>
    </div>
    <br/>
    <br/>
    <div class="wk-col-12 ">
        <div>
            <?php _e('Old:', 'webkok-lab') ?>
        </div>
        <div>
            <?php echo !empty($user_info->birth_date) ? $user_info->birth_date : __('None', 'webkok-lab') ?>
        </div>
    </div>
    <br/><br/><br/>
    <div class="wk-col-12 ">
        <div>
            <?php _e('Phone number:', 'webkok-lab') ?>
        </div>
        <div>
            <?php echo !empty($user_info->phone_number) ? $user_info->phone_number : __('None', 'webkok-lab') ?>

        </div>
    </div>
    <br/><br/><br/>
    <div class="wk-col-12 ">
        <div>
            <?php _e('Address:', 'webkok-lab') ?>
        </div>
        <div>
            <?php $address = apply_filters('laboratory_user_data_address_html', '', $user_info); ?>
            <?php echo !empty($address) ? $address : __('None', 'webkok-lab') ?>

        </div>
    </div>
    <?php do_action('laboratory_before_user_data', $user_info); ?>
    <br/><br/><br/>
</div>

