<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly

use WebkokLab\Lib\Models\Gender;
use WebkokLab\Lib\Models\User;

/**
 * Patient Edit or Add Form
 *
 * @var WP_User|null $user
 */
$user_info = new User($user);
$genders = new Gender();
$users = get_users();
?>
<b><?php _e('User information', 'webkok-lab') ?></b>
<br/>
<div class="row">
    <div class="col-12">
        <table style="width: 100%;">
            <tbody>
            <tr>
                <td valign="top">
                    <label for="user"><?php _e('User:', 'webkok-lab') ?></label>
                </td>
                <td>
                    <div style="padding-bottom: 10px">
                        <select name="user" id="user" required>
                            <option value=""><?= __("Selected a user", 'webkok-lab') ?></option>
                            <?php foreach ($users as $user): ?>
                                <option value="<?= $user->ID ?>" title="<?= $user->user_email ?>">
                                    <?php
                                    $name = "{$user->user_login}  ({$user->first_name} {$user->last_name})";
                                    if (empty($user->first_name)) $name = $user->user_login;
                                    echo $name;
                                    ?>
                                </option>
                            <?php endforeach; ?>
                        </select>

                    </div>

                    <div>
                        <?php _e('Add new user', 'webkok-lab') ?>
                    </div>
                </td>
            </tr>
            <?php do_action('laboratory_patient_form_before', $user_info); ?>
            </tbody>

        </table>
    </div>
</div>
<script>
    function labora_random_pass() {
        return Array(34).fill("0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz").map(
            function (x) {
                return x[Math.floor(Math.random() * x.length)]
            }).join('');
    }

    document.getElementById("labora_password").value = labora_random_pass();
    document.getElementById("labora_input_pass").style.display = 'none';

    function show_pass() {
        document.getElementById("labora_btn_pass").style.display = 'none';
        document.getElementById("labora_input_pass").style.display = 'block';
        event.preventDefault();
    }
</script>