<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly
/**
 * Form > Condition
 *
 * @var $range
 * @var $group_number
 */
$elements = \WebkokLab\Lib\Entities\TestElement::query()->get();
?>
<div id="wl-condition-_CONDITION_NUMBER" style="display: flex; justify-content:space-between; width:100%;padding:10px 0">
    <div>
        <select name="elements[_GROUP_NUMBER][]"
                title="<?php _e('Test element', 'webkok-lab') ?>"
                id="select-element-_CONDITION_NUMBER"
                required>
            <option value=""><?php _e('Select Element', 'webkok-lab') ?></option>
            <?php foreach ($elements as $element): ?>
                <option value="<?= $element->id ?>"><?= $element->title ?></option>
            <?php endforeach; ?>
        </select>
    </div>
    <div>
        <select name="operators[_GROUP_NUMBER][]"
                title="<?php _e('Operator', 'webkok-lab') ?>"
                id="select-operator-_CONDITION_NUMBER"
                required>
            <option value="=" selected><?php _e('=', 'webkok-lab') ?></option>
            <option value="<"><?php _e('<', 'webkok-lab') ?></option>
            <option value=">"><?php _e('>', 'webkok-lab') ?></option>
            <option value="!"><?php _e('!', 'webkok-lab') ?></option>
        </select>
    </div>

    <div>
        <input type="number"
               step="any"
               name="amounts[_GROUP_NUMBER][]"
               id="input-amount-_CONDITION_NUMBER"
               placeholder="<?= __('Amount', 'webkok-lab') ?>"
               title="<?php _e('Condition amount', 'webkok-lab') ?>"
               value=""
               required/>
    </div>
    <div>
        <select name="gates[_GROUP_NUMBER][]"
                title="<?php _e('Relation with next condition', 'webkok-lab') ?>"
                id="select-gate-_CONDITION_NUMBER"
                required>
            <option value="AND" selected><?php _e('AND', 'webkok-lab') ?></option>
            <option value="OR"><?php _e('OR', 'webkok-lab') ?></option>
        </select>
    </div>
    <div>
        <input type="hidden" name="ids[_GROUP_NUMBER][]" id="input-id-_CONDITION_NUMBER" value="_CONDITION_NUMBER">
    </div>
    <div>
        <button type="button"
                title="<?= __('Delete condition', 'webkok-lab') ?>"
                onclick="window.wl_groups.remove_condition('_GROUP_NUMBER', '_CONDITION_NUMBER')"
                class="close p-1" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
</div>