<?php

namespace WebkokLab\Backend\Components\Tests;

use WebkokLab\Backend\Components\Elements\Elements;
use WebkokLab\Lib;

/**
 * Class Shortcodes
 */
class Shortcodes extends Lib\Base\Component
{
    protected static $class_file = __FILE__;

    public static function main()
    {
        add_shortcode('webkok_lab_export_word', array(__CLASS__, 'export_word'));
        add_shortcode('webkok_lab_print', array(__CLASS__, 'print_button'));
        add_shortcode('webkok_lab_test_output', array(__CLASS__, 'test_output'));
    }

    /**
     * Render Export Word Shortcode
     */
    public static function export_word($atts)
    {
        Tests::renderExportWord($atts);
    }

    /**
     * Render Print Shortcode
     */
    public static function print_button($atts)
    {
        Tests::renderPrint($atts);
    }

    /**
     * Render Test Output
     */
    public static function test_output($atts)
    {
        Tests::renderOutput($atts);
    }
}