<?php

namespace WebkokLab\Backend\Components\Tests;

use WebkokLab\Backend\Components\Tests\Proxy\Interpretation;
use WebkokLab\Lib;
use WebkokLab\Lib\Entities\Test;
use WebkokLab\Lib\Entities\TestElement;

/**
 * Elements Component
 */
class Tests extends Lib\Base\Component
{
    protected static $class_file = __FILE__;

    /**
     * Render page.
     */
    public static function renderOutput($atts)
    {
        $test_id = isset($atts['test_id']) ? $atts['test_id'] : -1;
        $user_id = isset($atts['user_id']) ? $atts['user_id'] : null;

        $interpretation = new Interpretation($test_id);

        $query = Test::query()->where('id', $test_id);
        if (!empty($user_id)) $query->where('user_id', $user_id);
        $test = $query->first();

        self::renderTemplate('output', ['test' => $test, 'interpretation' => $interpretation]);
    }

    /**
     * Render page.
     */
    public static function renderResults($test_id)
    {
        $test = Test::find($test_id);
        $elements = TestElement::query()->get();
        self::renderTemplate('results', ['test' => $test, 'elements' => $elements]);
    }

    /**
     * Render print.
     */
    public static function renderPrint($atts = null)
    {
        self::renderTemplate('print_button', ['atts' => $atts]);
    }

    /**
     * Render export word.
     */
    public static function renderExportWord($atts = null)
    {
        self::renderTemplate('export_word_button', ['atts' => $atts]);
    }


}