<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly

/**
 * Test export word button
 *
 * @var array $atts
 */
$element_id = isset($atts['element_id']) ? $atts['element_id'] : 'test-content';
$name = isset($atts['name']) ? $atts['name'] : 'test-export-word';
$export_file_name = sprintf(__('%s.doc', 'webkok-lab'), $name);
?>
<button class="btn btn-outline-primary" type="button" onclick="exportHTML('<?= $element_id ?>')">
    <?php _e('Export Word', 'webkok-lab') ?>
</button>

<script>
    function exportHTML(id) {

        var header = "<html xmlns:o='urn:schemas-microsoft-com:office:office' " +
            "xmlns:w='urn:schemas-microsoft-com:office:word' " +
            "xmlns='http://www.w3.org/TR/REC-html40'>" +
            "<head><meta charset='utf-8'><title>Export HTML to Word Document with JavaScript</title></head><body>";
        var footer = "</body></html>";
        var sourceHTML = header + document.getElementById(id).innerHTML + footer;
        // sourceHTML = sourceHTML.replace(/<img[^>]*>/g, "");


        var source = 'data:application/vnd.ms-word;charset=utf-8,' + encodeURIComponent(sourceHTML);
        var fileDownload = document.createElement("a");
        document.body.appendChild(fileDownload);
        fileDownload.href = source;
        fileDownload.download = '<?= $export_file_name; ?>';
        fileDownload.click();
        document.body.removeChild(fileDownload);
    }

</script>
