<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly

use WebkokLab\Backend\Components\Tests\Proxy\Interpretation;

/**
 * Test output
 *
 * @var  Interpretation $interpretation
 * @var object $test
 */

try {
    if (!$test || !$interpretation) throw new Exception('Not found test!');
    $direction = get_locale() == 'fa_IR' ? 'rtl' : 'ltr';
    $test_align = get_locale() == 'fa_IR' ? 'right' : 'left';
} catch (Exception $e) {
    return _e('Not found test!', 'webkok-lab');
}

?>
<style>

    .wh_output_buttons button {
        margin-left: 10px;
    }

    .wh_results table tr td {
        padding: 0 !important;
    }
</style>

<div>

    <div id="test-content">
        <div style="direction: <?= $direction ?> !important; text-align: <?= $test_align ?>">

            <?php do_action('laboratory_output_after_header', $interpretation); ?>

            <!-- Header -->
            <?= nl2br($interpretation->getHeader(true)) ?><br/>

            <?php do_action('laboratory_output_after_results', $interpretation); ?>

            <!-- Results -->
            <div class="wh_results">
                <?php if ($interpretation): ?>
                    <?php $interpretation->showResult(); ?><br/>
                <?php endif; ?>
            </div>

            <?php do_action('laboratory_output_after_description', $interpretation); ?>

            <!-- Description -->
            <?= nl2br($interpretation->getDoctorDescription(true)) ?><br/>

            <?php do_action('laboratory_output_after_footer', $interpretation); ?>

            <!-- Footer -->
            <?= nl2br($interpretation->getFooter(true)) ?>

            <?php do_action('laboratory_output_before_footer', $interpretation); ?>
        </div>
    </div>


</div>
