<?php

namespace WebkokLab\Backend\Components\User\Proxy;

use Exception;
use WebkokLab\Lib\Base\Message;
use WebkokLab\Lib\Models\User;

class Profile
{
    public static function save($user_id)
    {
        try {
            if (empty($_POST['_wpnonce']) || !wp_verify_nonce($_POST['_wpnonce'], 'update-user_' . $user_id)) {
                return;
            }

            if (!current_user_can('edit_user', $user_id)) {
                return;
            }

            update_user_meta($user_id, User::key('address'), sanitize_text_field($_POST['address'] ?? ''));
            update_user_meta($user_id, User::key('birth_date'), sanitize_text_field($_POST['birth_date'] ?? ''));
            update_user_meta($user_id, User::key('phone_number'), sanitize_text_field($_POST['phone_number'] ?? ''));
            update_user_meta($user_id, User::key('gender'), sanitize_text_field($_POST['gender'] ?? ''));
            do_action('laboratory_save_patient', $user_id);
        } catch (Exception $e) {
            Message::admin($e->getMessage(), false);
        }
    }

}