<?php

namespace WebkokLab\Backend\Modules\Elements;

use WebkokLab\Backend\Modules\Elements\Proxy\Add;
use WebkokLab\Backend\Modules\Elements\Proxy\Edit;
use WebkokLab\Lib;

/**
 * Class Page
 */
class Page extends Lib\Base\Component
{
    protected static $class_file = __FILE__;

    /**
     * Render page.
     */
    public static function render()
    {
        $element_id = isset($_GET['id']) ? sanitize_text_field($_GET['id']) : '';
        $action = isset($_GET['action']) ? sanitize_text_field($_GET['action']) : '';
        if ($action == 'new') {
            Add::save();
            self::renderTemplate('add');
            return;
        }

        if ($action == 'edit' && $element_id) {
            Edit::save();
            $element = Lib\Entities\TestElement::find($element_id);
            self::renderTemplate('add', ['element' => $element]);
            return;
        }

        self::renderTemplate('index');
    }
}