<?php

namespace WebkokLab\Backend\Modules\Elements\Proxy;

class Hooks
{
    public static function main()
    {
        add_filter('laboratory_add_elements_inputs', array(__CLASS__, 'add_element_title_input'), 1, 2);
        add_filter('laboratory_add_elements_inputs', array(__CLASS__, 'add_element_standard_range_input'), 2, 2);
        add_filter('laboratory_add_elements_inputs', array(__CLASS__, 'add_element_unit_input'), 3, 2);
        add_filter('laboratory_add_elements_inputs', array(__CLASS__, 'add_element_color_input'), 4, 2);
    }

    /**
     * Add element form
     *
     * @param $html
     * @param $element
     */
    public static function add_element_title_input($html, $element)
    {
        ob_start();
        ?>

        <tr class="form-field form-required">
            <th scope="row"><label for="title"><?php _e('Title', 'webkok-lab') ?></label></th>
            <td><input name="title" type="text" id="title"
                       value="<?php if (isset($element)) {
                           echo $element->title;
                       } ?>"
                       aria-required="true" autocapitalize="none" autocorrect="off" maxlength="60"/></td>
        </tr>

        <?php

        $html['title'] = ob_get_clean();
        return $html;
    }

    /**
     * Add element form
     *
     * @param $html
     * @param $element
     */
    public static function add_element_standard_range_input($html, $element)
    {
        ob_start();
        ?>

        <tr class="form-field form-required">
            <th scope="row"><label for="range"><?php _e('Standard Range', 'webkok-lab') ?></label></th>
            <td><input name="range" type="text" id="range" value="<?php if (isset($element)) {
                    echo $element->standard_range;
                } ?>"/></td>
        </tr>


        <?php

        $html['standard_range'] = ob_get_clean();
        return $html;
    }

    /**
     * Add element form
     *
     * @param $html
     * @param $element
     */
    public static function add_element_unit_input($html, $element)
    {
        ob_start();
        ?>

        <tr class="form-field">
            <th scope="row"><label for="unit"><?php _e('Unit', 'webkok-lab') ?> </label></th>
            <td><input name="unit" type="text" id="unit" value="<?php if (isset($element)) {
                    echo $element->unit;
                } ?>"/></td>
        </tr>


        <?php

        $html['unit'] = ob_get_clean();
        return $html;
    }

    /**
     * Add element form
     *
     * @param $html
     * @param $element
     */
    public static function add_element_color_input($html, $element)
    {
        ob_start();
        ?>

        <tr class="form-field">
            <th scope="row"><label for="color"><?php _e('Color', 'webkok-lab') ?> </label></th>
            <td>
                <input name="color"
                       type="text"
                       id="color"
                       value="<?php echo isset($element) ? $element->color : Color::random(); ?>"
                />
            </td>
        </tr>


        <?php

        $html['color'] = ob_get_clean();
        return $html;
    }

}