<?php

if (!defined('ABSPATH')) exit; // Exit if accessed directly

$message = null;

if (isset($_POST['webkok-lab-persian-license'])) {
    $new_license = trim($_POST['webkok-lab-persian-license']);
    $message = License::install_license($new_license);
} else {
    $license = License::get_license();
    if (!empty($license)) $message = License::install_license($license);
}

$license = License::get_license();

?>
<div class="webkok-lab wrap">
    <form action="" method="post">
        <div class="webkok-lab-enter-license-message ">
            <div class="license-main">

                <img src="<?= wpkok_lab_plugin_asset_url(__FILE__, 'img/screens/zheket_logo.svg', 'resources') ?>"
                     width="90px" class="image-left-sides wh_rounded">
                <div class="license-title">
                    <label for="webkok-lab-persian-license"><?php _e('لطفا لایسنس خریداری شده از ژاکت را وارد نمایید و افزونه را برای سایت خود فعال کنید.', 'webkok-lab') ?></label>
                </div>
                <div>
                    <input type="text" name="webkok-lab-persian-license" id="webkok-lab-persian-license"
                           value="<?php echo $license ?>"/>
                </div>


                <?php if (!empty($message)): ?>
                    <?php if ($message != 'successful'): ?>
                        <div><?php echo $message ?></div>
                    <?php else: ?>
                        <div><?php _e('فعال سازی پلاگین با موفقیت انجام شد. از افزونه آزمایشگاه لذت ببرید :)', 'webkok-lab') ?></div>

                    <?php endif; ?>
                <?php elseif (!empty($license)): ?>
                    <div><?php _e('فعال سازی پلاگین با موفقیت انجام شد. از افزونه آزمایشگاه خود لذت ببرید :)', 'webkok-lab') ?></div>
                <?php endif; ?>

                <?php if (!empty($message) && $message == 'successful' && isset($_POST['webkok-lab-persian-license'])): ?>
                    <div>
                        <a href="<?= esc_url(\WebkokLab\Backend\Modules\Patients\Page::url()) ?>">
                            <button type="button" class="btn btn-primary">
                                <?php _e('Get Start', 'webkok-lab') ?>
                            </button>
                        </a>
                    </div>
                <?php else: ?>
                    <div class="license-button">
                        <button type="submit" style="background: #4CAF50;"><?php _e('ثبت', 'webkok-lab') ?></button>

                        <a href="https://lab.demo.wpkok.com/license-help" style="color: #CCC !important;"
                           target="_blank">
                            <button type="button" style="background: #CCC;"><?php _e('راهنما', 'webkok-lab') ?></button>
                        </a>
                    </div>
                <?php endif; ?>


            </div>
        </div>
    </form>
</div>


<style>

    .webkok-lab-enter-license-message .license-main {
        font-family: 'LumistFont', sans-serif !important;
        margin: 90px auto;
        padding: 90px 15px;
        background: white;
        text-align: center;
        width: 100%;
        max-width: 550px;
        line-height: normal;
        border-radius: 15px;
    }

    .webkok-lab-enter-license-message .license-title {
        font-size: 18pt;
    }

    .webkok-lab-enter-license-message a {
        text-decoration: none !important;
        color: white;
    }

    .webkok-lab-enter-license-message .license-button button {
        margin-top: 15px;
        background: #2196F3;
        color: white;
        border: none;
        border-radius: 50px;
        font-size: 16pt;
        padding: 5px 25px;
        cursor: pointer;
    }

    .webkok-lab-enter-license-message input {
        margin-top: 15px;
        width: 80%;

    }
</style>