<?php

namespace WebkokLab\Backend\Modules\Patients;

use Exception;
use WP_REST_Server;

/**
 * Class Api
 */
class Api
{
    public static function routs()
    {
        register_rest_route('laboratory/v1', '/user', array(
            'methods' => WP_REST_Server::READABLE,
            'callback' => array(__CLASS__, 'get_user')
        ));
    }

    public static function get_user($request)
    {
        try {
            if (isset($_REQUEST['token']) && $_REQUEST['token'] != 'ERYTYUIJK@894512') throw new Exception('Invalid security!');

            $args = array();

            $field = isset($_REQUEST['field']) ? (string)$_REQUEST['field'] : '';
            $value = isset($_REQUEST['value']) ? (string)$_REQUEST['value'] : '';
            $meta_key = isset($_REQUEST['meta_key']) ? (string)$_REQUEST['meta_key'] : '';
            $meta_value = isset($_REQUEST['meta_value']) ? (string)$_REQUEST['meta_value'] : '';

            if (isset($_REQUEST['meta_key'])) {
                $args['meta_key'] = $meta_key;
                $args['meta_value'] = $meta_value;

            }

            if (isset($_REQUEST['field'])) {
                $args = array(
                    'search' => $value,
                    'search_columns' => array($field)
                );
            }

            if (count($args) == 0) throw new Exception('Not found filter params!');

            $users = get_users($args);

            if (!$users) throw new Exception('Users not found.');
            $user = $users[0];

            $response = [
                'success' => true,
                'data' => [
                    'id' => $user->ID,
                    'insurance_no' => get_user_meta($user->ID, 'insurance_no', true),
                    'first_name' => get_user_meta($user->ID, 'first_name', true),
                    'date' => $user->user_registered,
                    'last_name' => get_user_meta($user->ID, 'last_name', true),
                    'age' => get_user_meta($user->ID, 'age', true),
                    'gender' => get_user_meta($user->ID, 'gender', true),
                    'blood_type' => get_user_meta($user->ID, 'blood_type', true),
                    'email' => $user->user_email,
                ],
            ];
            wp_send_json($response);
        } catch (Exception $e) {

            $response = [
                'success' => false,
                'error' => $e->getMessage(),
                'data' => null,
            ];
            wp_send_json($response);
        }
    }


}