<?php

namespace WebkokLab\Backend\Modules\Patients;

use WebkokLab\Backend\Modules\Patients\Proxy\Add;
use WebkokLab\Backend\Modules\Patients\Proxy\Chart;
use WebkokLab\Lib;

/**
 * Class Page
 */
class Page extends Lib\Base\Component
{
    protected static $class_file = __FILE__;

    /**
     * Render page.
     */
    public static function render()
    {

        $action = isset($_GET['action']) ? sanitize_text_field($_GET['action']) : '';
        $user_id = isset($_GET['user_id']) ? sanitize_text_field($_GET['user_id']) : '';

        if ($action == 'new') {
            Add::save();
            self::renderTemplate('add');
            return;
        }

        if ($action == 'chart') {
            self::renderTemplate('chart', ['user_id' => $user_id]);
            return;
        }

        self::renderTemplate('index');
    }
}