<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly
/**
 * Patient Health chart
 * @var $user_id
 */
$user = get_user_by('ID', $user_id);
$user_url = get_edit_profile_url($user_id);
$elements_ids = isset($_POST['elements_ids']) ? $_POST['elements_ids'] : '';
$tests_count = isset($_POST['tests_count']) ? $_POST['tests_count'] : '';
$all_tests_count = \WebkokLab\Lib\Entities\Test::query()->where('user_id', $user_id)->count();
?>
<div class="webkok-lab wrap">

    <div class="icon32 icon32-posts-post" id="icon-edit"><br></div>
    <h1 class="text-left wk-pa-1"><?php _e('Health Chart', 'webkok-lab') ?></h1>

    <div class="row">
        <div class="wk-col-7">
            <div class="wk-pa-1">
                <div class="wh_custom_card">

                    <div class="row" style="justify-content: space-between">
                        <div class="wk-col-8">
                            <p><?php echo wp_kses_post_deep(sprintf(__('Health chart for user: <a href="%s">%s %s</a>', 'webkok-lab'), $user_url, $user->first_name, $user->last_name)) ?></p>
                        </div>
                        <?php if(!empty($elements_ids)):?>
                        <form method="post">
                            <div>
                                <input type="submit" class="btn btn-outline"
                                       value="<?= __('Back', 'webkok-lab') ?>">
                            </div>
                        </form>
                        <?php endif;?>
                    </div>

                    <div>
                        <?php if (!empty($elements_ids)): ?>
                            <!-- show chart -->
                            <?php \WebkokLab\Backend\Components\Chart\Chart::renderForElements($user_id, $elements_ids, $tests_count) ?>

                        <?php else: ?>
                            <!-- show selector form -->
                            <form method="post">

                                <p><?= __('To display the chart, select the elements you want and click the Next button', 'webkok-lab') ?></p>

                                <?php do_action('laboratory_chart_in_selector_form', $user_id); ?>

                                <div class="row">
                                    <div class="wk-col-2">
                                        <label for="tests_count"><?= __('Tests Count', 'webkok-lab') ?> (<?= $all_tests_count ?>)</label>
                                    </div>
                                    <div class="wk-col-8">
                                        <input type="number" name="tests_count" id="tests_count" value="10">
                                        <p><?= __('Leave this option blank if you want to select all user tests', 'webkok-lab') ?></p>
                                    </div>
                                </div>

                                <br/>

                                <?php do_action('laboratory_chart_selector_before_items', $user_id); ?>

                                <?php \WebkokLab\Backend\Components\Elements\Elements::renderSelector($user_id) ?>

                                <?php do_action('laboratory_chart_selector_after_items', $user_id); ?>

                                <div style="padding:25px 0">
                                    <input type="submit" class="btn btn-primary"
                                           value="<?= __('Next', 'webkok-lab') ?>">
                                </div>
                            </form>
                        <?php endif; ?>
                    </div>

                </div>
            </div>
        </div>

        <div class="wk-col-3">
            <div class="wk-pa-1">
                <?php \WebkokLab\Backend\Components\Patient\Patient::renderData($user_id) ?>
            </div>
        </div>
    </div>
</div>
