<?php

if (!defined('ABSPATH')) exit; // Exit if accessed directly

$table = new \WebkokLab\Backend\Modules\Patients\Proxy\Table();
$table->prepare_items();

$intro_is_hide = wpkok_lab_get_option('intro_is_hide');


?>
<div class="webkok-lab wrap">
    <?php if ($intro_is_hide): ?>

        <div class="icon32 icon32-posts-post" id="icon-edit"><br></div>
        <h1>
            <?php _e('Patient list', 'webkok-lab') ?>
            <a class="btn btn-primary" href="<?php echo '?page=webkok-lab-patients&action=new'; ?>">
                <?php _e('Add new', 'webkok-lab') ?>
            </a>
        </h1>

        <div class="row">
            <div class="wk-col-7">
                <div class="wk-pa-1" style="padding-top: 25px">
                    <form method="POST" name="frm_search_users">
                        <?php $table->search_box(__("Search Patient(s)", 'webkok-lab'), "search_patient_id"); ?>
                    </form>

                    <form id="persons-table" method="GET">
                        <input type="hidden" name="page" value="<?php echo $_REQUEST['page'] ?>"/>
                        <?php $table->display() ?>
                    </form>
                </div>
            </div>

            <div class="wk-col-3 hidden-mobile">
                <div class="wk-pa-1">
                    <div class="wk-pa-1 ">
                        <img src="<?= wpkok_lab_plugin_asset_url(__FILE__, 'img/screens/customers.jpg', 'resources') ?>"
                             width="100%" class="image-left-sides wh_rounded">
                    </div>
                </div>
            </div>
        </div>
    <?php else: ?>
        <div class="row">
            <?php \WebkokLab\Backend\Components\App\App::renderIntro() ?>
        </div>
    <?php endif; ?>
</div>

<style>
    #avatar {
        width: 40px;
    }
    #gender {
        width: 60px;
    }
    #birth_date {
        width: 60px;
    }
    #tests_count {
        width: 70px;
    }
    #email {
        width: 190px;
    }
</style>
