<?php

namespace WebkokLab\Backend\Modules\Ranges;

use WebkokLab\Backend\Modules\Ranges\Proxy\Add;
use WebkokLab\Backend\Modules\Ranges\Proxy\Edit;
use WebkokLab\Lib;
use WebkokLab\Lib\Entities\Condition;
use WebkokLab\Lib\Entities\ConditionsGroup;
use WebkokLab\Lib\Entities\Range;

/**
 * Class Page
 */
class Page extends Lib\Base\Component
{
    protected static $class_file = __FILE__;

    /**
     * Render page.
     */
    public static function render()
    {
        $action = isset($_GET['action']) ? sanitize_text_field($_GET['action']) : '';
        $range_id = isset($_GET['id']) ? sanitize_text_field($_GET['id']) : '';


        if ($action == 'new') {
            Add::save();
            self::renderTemplate('add');
            return;
        }

        if ($action == 'edit' && !empty($range_id)) {
            Edit::save();
            $range = Range::findWithGroups($range_id);
            self::renderTemplate('add', ['range' => $range]);
            return;
        }

        self::renderTemplate('index');
    }
}