<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly
// check user capabilities
if (!current_user_can('manage_options')) {
    return;
}

// add error/update messages

// check if the user have submitted the settings
// WordPress will add the "settings-updated" $_GET parameter to the url
if (isset($_GET['settings-updated'])) {
    // add settings saved message with the class of "updated"
    add_settings_error('wporg_messages', 'wporg_message', __('Settings Saved', 'webkok-lab'), 'updated');
}

// show error/update messages
settings_errors('wporg_messages');

do_action('laboratory_settings_header');
?>
<div class="webkok-lab wrap">
    <h1><?php echo esc_html(get_admin_page_title()); ?></h1>
    <form action="options.php" method="post">
        <?php
        settings_fields('webkok-lab');
        do_settings_sections('webkok-lab');
        submit_button(__('Save', 'webkok-lab'));
        ?>
    </form>
</div>
<script>
    var textAreas = document.getElementsByTagName('textarea');

    Array.prototype.forEach.call(textAreas, function(elem) {
        elem.placeholder = elem.placeholder.replace(/\\n/g, '\n');
    });
</script>