<?php

namespace WebkokLab\Backend\Modules\Tests;

use WebkokLab\Backend\Modules\Tests\Proxy\Edit;
use WebkokLab\Backend\Components\Tests\Proxy\Interpretation;
use WebkokLab\Lib;
use WebkokLab\Lib\Entities\Test;

/**
 * Class Page
 */
class Page extends Lib\Base\Component
{
    protected static $class_file = __FILE__;

    /**
     * Render page.
     */
    public static function render()
    {
        $action = isset($_GET['action']) ? sanitize_text_field($_GET['action']) : '';
        $user_id = sanitize_text_field($_GET['user_id'] ?? null);
        $test_id = sanitize_text_field($_GET['test_id'] ?? null);

        if ($action == 'view' && !empty($user_id)) {
            self::renderTemplate('user_tests', ['user_id' => $user_id]);
            return;
        }

        if ($action == 'edit' && !empty($test_id)) {
            Edit::saveDetails();
            $test = Test::find($test_id);
            self::renderTemplate('edit', ['user_id' => $user_id, 'test' => $test, ]);
            return;
        }

        if ($action == 'interpretation' && !empty($test_id)) {
            Edit::saveInterpretation();
            $interpretation = new Interpretation($test_id);
            $test = Test::find($test_id);

            self::renderTemplate('interpretation', [
                    'test' => $test,
                    'interpretation' => $interpretation,
                    'user_id' => $user_id,
                ]
            );
            return;
        }

        if ($action == 'output' && !empty($test_id)) {
             $test = Test::find($test_id);
            self::renderTemplate('output', [
                    'test' => $test,
                    'user_id' => $user_id,
                ]
            );
            return;
        }

        self::renderTemplate('index');
    }
}