<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly
/**
 * Tests View
 * @var $user_id
 * @var $test
 */

?>
<div class="webkok-lab wrap">


    <div>
        <h2><?php _e('Edit Test Results', 'webkok-lab') ?></h2>
    </div>

    <br/>

    <form action="" method="POST" enctype="multipart/form-data">
        <div class="row">
            <div class="wk-col-6">
                <div class="wk-pa-1">
                    <div class="wh_custom_card">
                        <?php \WebkokLab\Backend\Components\Elements\Elements::renderResults($test->id) ?>
                    </div>
                </div>
            </div>
            <div class="wk-col-4">
                <div class="wk-pa-1">
                    <div class="wh_custom_card">

                        <b><?= __('Test Information', 'webkok-lab') ?></b>
                        <!-- Data -->
                        <div>
                            <div>
                                <?= __('Status', 'webkok-lab') ?>:
                                <?= wpkok_lab_test_status($test->status) ?>
                            </div>
                            <div><?= __('Created at', 'webkok-lab') ?> : <?= wpkok_lab_date($test->date) ?? '' ?></div>
                        </div>

                        <!-- Hidden inputs -->
                        <div>
                            <input type="hidden" name="test_id" value="<?= $test->id ?? '' ?>"/>
                        </div>

                        <hr>

                        <div>
                            <div style="display: flex; justify-content: space-between">
                                <div>
                                    <a href="<?= esc_url(add_query_arg(['action' => 'output'])); ?>">
                                        <button class="btn btn-outline-primary" type="button">
                                            <?php _e('Print/Export', 'webkok-lab') ?>
                                        </button>
                                    </a>
                                    <a href="<?= esc_url(add_query_arg(['action' => 'interpretation'])); ?>">
                                        <button class="btn btn-outline-primary" type="button">
                                            <?php _e('Interpretation', 'webkok-lab') ?>
                                        </button>
                                    </a>
                                </div>
                                <button class="btn btn-primary" type="submit">
                                    <?php _e('Save', 'webkok-lab') ?>
                                </button>

                            </div>
                        </div>


                    </div>

                    <div style="margin-bottom: 15px">
                        <?php \WebkokLab\Backend\Components\Patient\Patient::renderData($user_id) ?>
                    </div>
                </div>
            </div>
        </div>


    </form>

</div>
