<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly
/**
 * Test Interpretation
 * @var $user_id
 * @var \WebkokLab\Backend\Components\Tests\Proxy\Interpretation $interpretation
 * @var object $test
 */

$doctor_interpretation = $test->doctor_interpretation ?? '';

?>

<div class="webkok-lab wrap">
    <form action="" method="post">

        <div style="margin-bottom: 15px">
            <h2><?php _e('Interpretation', 'webkok-lab') ?></h2>
        </div>

        <div class="row">
            <div class="wk-col-6">
                <div class="wk-pa-1">

                    <!-- Header -->
                    <div class="wh_custom_card">
                        <div>
                            <b><?= __('Header', 'webkok-lab') ?></b>
                        </div>
                        <br/>
                        <div>
                            <?php wp_editor($interpretation->getHeader(), 'header', ['textarea_rows' => 8]); ?>
                        </div>
                        <small><?= __('<b>Note :</b>This text is fixed for all tests. you just use attributes (<a href="#help-card">Help is in right sidebar</a>) for show test or user information.', 'webkok-lab') ?></small>

                    </div>

                    <!-- Results -->
                    <?php if ($interpretation): ?>
                        <div class="wh_custom_card">
                            <div class="wh_flex">
                                <b><?= __('Results', 'webkok-lab') ?></b>

                                <div>
                                    <a href="<?= esc_url(add_query_arg(['action' => 'edit'])); ?>">
                                        <button class="btn btn-outline-primary" type="button">
                                            <?php _e('Edit test results', 'webkok-lab') ?>
                                        </button>
                                    </a>
                                    <a href="?page=webkok-lab-ranges">
                                        <button class="btn btn-outline-primary" type="button">
                                            <?php _e('Ranges', 'webkok-lab') ?>
                                        </button>
                                    </a>
                                </div>
                            </div>

                            <br/>

                            <div class="wh_results">
                                <?php $interpretation->showResult(); ?>
                            </div>
                        </div>
                    <?php endif; ?>

                    <!-- Description -->
                    <div class="wh_custom_card">
                        <div>
                            <b><?= __('Doctor Description', 'webkok-lab') ?></b>
                        </div>
                        <br/>
                        <div>
                            <?php wp_editor($doctor_interpretation, 'description'); ?>
                        </div>
                    </div>

                    <!-- Footer -->
                    <div class="wh_custom_card">
                        <div>
                            <b><?= __('Footer', 'webkok-lab') ?></b>
                        </div>
                        <br/>
                        <div>
                            <?php wp_editor($interpretation->getFooter(), 'footer', ['textarea_rows' => 4]); ?>
                        </div>
                        <small><?= __('<b>Note :</b>This text is fixed for all tests. you just use attributes (<a href="#help-card">Help is in right sidebar</a>) for show test or user information.', 'webkok-lab') ?></small>
                    </div>

                </div>
            </div>

            <div class="wk-col-4">
                <div class="wk-pa-1">
                    <div class="wh_custom_card">

                        <b><?= __('Test Information', 'webkok-lab') ?></b>
                        <!-- Data -->
                        <div>
                            <div><?= __('Status', 'webkok-lab') ?>
                                : <?= wpkok_lab_test_status($test->status) ?></div>
                            <div><?= __('Created at', 'webkok-lab') ?> : <?= wpkok_lab_date($test->date) ?></div>
                        </div>

                        <!-- Hidden inputs -->
                        <div>
                            <input type="hidden" name="test_id" value="<?= $test->id ?? '' ?>"/>
                        </div>

                        <hr>

                        <div>
                            <div style="display: flex; justify-content: space-between">
                                <a href="<?= esc_url(add_query_arg(['action' => 'output'])); ?>">
                                    <button class="btn btn-outline-primary" type="button">
                                        <?php _e('Print/Export', 'webkok-lab') ?>
                                    </button>
                                </a>
                                <button class="btn btn-primary" type="submit">
                                    <?php _e('Save', 'webkok-lab') ?>
                                </button>

                            </div>
                        </div>


                    </div>

                    <!-- user info -->
                    <div style="margin-bottom: 15px">
                        <?php \WebkokLab\Backend\Components\Patient\Patient::renderData($user_id) ?>
                    </div>

                    <div class="wh_custom_card" id="help-card">
                        <b><?= __('Help', 'webkok-lab') ?></b>
                        <div>
                            <?= __('You can this attributes in your description, header or footer:', 'webkok-lab') ?>
                            <br/><br/>
                        </div>
                        <ul>
                            <li><?= __('<code>{user_email}</code> : User email ', 'webkok-lab') ?></li>
                            <li><?= __('<code>{user_first_name}</code> : User first_name', 'webkok-lab') ?></li>
                            <li><?= __('<code>{user_last_name}</code> : User family', 'webkok-lab') ?></li>
                            <li><?= __('<code>{user_name}</code> : User full name ', 'webkok-lab') ?></li>
                            <li><?= __('<code>{user_phone}</code> : User phone ', 'webkok-lab') ?></li>
                            <li><?= __('<code>{user_old}</code> : User old', 'webkok-lab') ?></li>
                            <li><?= __('<code>{user_address}</code> : User address in lines ', 'webkok-lab') ?></li>
                            <li><?= __('<code>{user_address_default}</code> : User address ', 'webkok-lab') ?></li>
                            <li><?= __('<code>{user_pronoun}</code> : User pronoun', 'webkok-lab') ?></li>
                            <li><?= __('<code>{user_gender}</code> : User gender', 'webkok-lab') ?></li>
                            <li><?= __('<code>{user_pre_name}</code> : User pre name', 'webkok-lab') ?></li>
                            <?php do_action('laboratory_interpretation_help_user', $test, $user_id); ?>
                            <li><?= __('<code>{test_date_day}</code> : Test created at day ', 'webkok-lab') ?></li>
                            <li><?= __('<code>{test_date}</code> : Test created at ', 'webkok-lab') ?></li>
                            <li><?= __('<code>{test_id}</code> : Test id ', 'webkok-lab') ?></li>
                            <li><?= __('<code>{test_status}</code> : Test id ', 'webkok-lab') ?></li>
                            <li><?= __('<code>{test_doctor_description}</code> : Test doctor description ', 'webkok-lab') ?></li>
                            <?php do_action('laboratory_before_interpretation_help', $test, $user_id); ?>
                        </ul>
                    </div>

                    <?php if (has_action('laboratory_interpretation_sidebar_settings')): ?>
                        <div class="wh_custom_card" id="help-card">
                            <div style="margin-bottom: 10px">
                                <b><?= __('General Settings', 'webkok-lab') ?></b>
                            </div>
                            <?php do_action('laboratory_interpretation_sidebar_settings', $test, $user_id); ?>
                        </div>
                    <?php endif; ?>

                    <?php do_action('laboratory_interpretation_sidebar', $test, $user_id); ?>
                </div>
            </div>
        </div>
    </form>
</div>

<style>
    a {
        text-decoration: none !important;
    }

    .wh_custom_card {
        background: white;
        border-radius: 10px;
        padding: 15px;
        margin-bottom: 15px;
    }

    .wh_flex {
        display: flex;
        justify-content: space-between;
    }

    .wh_results table tr td {
        padding: 0 !important;
    }
</style>
