<?php if (!defined('ABSPATH')) exit; // Exit if accessed directly
/**
 * Test output
 * @var $user_id
 * @var object $test
 */
$user = new \WebkokLab\Lib\Models\User($user_id);
$doctor_interpretation = $test->doctor_interpretation ?? '';

$name = !empty($user->name) ? $user->getFullName() : 'Test';
$export_file_name = sprintf(__('%s_%s.doc', 'webkok-lab'), $name, date('Y-m-d', strtotime($test->date)));
?>

    <div class="webkok-lab wrap">

        <div class="row">

            <div class="wk-col-6" style="margin: 0 auto">

                <div style="margin-bottom: 15px">
                    <h2><?php _e('Interpretation Output', 'webkok-lab') ?></h2>
                </div>

                <div class="letter">

                    <!-- Actions -->
                    <div class="wh_output_buttons" style="display: flex; justify-content: end">
                        <a href="<?= esc_url(add_query_arg(['action' => 'edit'])); ?>">
                            <button class="btn btn-outline-primary" type="button">
                                <?php _e('Edit', 'webkok-lab') ?>
                            </button>
                        </a>
                        <a href="<?= esc_url(add_query_arg(['action' => 'interpretation'])); ?>">
                            <button class="btn btn-outline-primary" type="button">
                                <?php _e('Interpretation', 'webkok-lab') ?>
                            </button>
                        </a>

                        <?php do_shortcode('[webkok_lab_export_word name="' . $export_file_name . '"]') ?>
                        <?php do_shortcode('[webkok_lab_print]') ?>

                    </div>

                    <div class="wh_line"></div>

                    <?php do_shortcode('[webkok_lab_test_output test_id="' . $test->id . '" user_id="' . $user_id . '"]') ?>
                </div>
            </div>


        </div>
    </div>


    <style>

        .wh_line {
            border-bottom: dashed 2px rgba(0, 0, 0, 0.2);
            padding-top: 15px;
            margin-bottom: 15px;
        }

        .wh_output_buttons button {
            margin-left: 10px;
        }

        .letter {
            background: #fff;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
            margin: 26px auto 0;
            padding: 24px;
            position: relative;
            width: 80%;
        }

        .letter:before, .letter:after {
            content: "";
            height: 98%;
            position: absolute;
            width: 100%;
            z-index: -1;
        }

        .letter:before {
            background: #fafafa;
            box-shadow: 0 0 8px rgba(0, 0, 0, 0.1);
            left: -5px;
            top: 4px;
            transform: rotate(-1.5deg);
        }

        .letter:after {
            background: #f6f6f6;
            box-shadow: 0 0 3px rgba(0, 0, 0, 0.1);
            right: -3px;
            top: 1px;
            transform: rotate(0.9deg);
        }

        .wh_results table tr td {
            padding: 0 !important;
        }
    </style>


<?php do_action('laboratory_output_end'); ?>