<?php


namespace WebkokLab\Lib\Base;


use PHPMailer\PHPMailer\Exception;
use WebkokLab\Lib\Models\User;

abstract class Notify
{
    /**
     * Send Mail
     *
     * @param $to
     * @param $subject
     * @param $message
     * @return null
     */
    public static function sendMail($to, $subject, $message)
    {
        try {
            return wp_mail($to, $subject, $message);
        } catch (\Exception $e) {
            return null;
        }
    }

    /**
     * Sms
     *
     * @param $to
     * @param $message
     * @return null
     */
    public static function sendSms($to, $message)
    {

    }


    /**
     * @param $message
     * @param $test
     * @param $user
     * @return mixed|void
     */
    public static function replaceKeys($message, $test, $user)
    {
        try {
            // User info
            if (!empty($user)) {
                $user = new User($user);

                $message = str_replace('{user_name}', $user->name . ' ' . $user->family, $message);
                $message = str_replace('{user_email}', $user->email, $message);
                $message = str_replace('{user_phone}', $user->phone_number, $message);
                $message = str_replace('{user_address_default}', $user->address, $message);
                $message = str_replace('{user_address}', $user->getAddressInLines(), $message);
                $message = str_replace('{user_old}', $user->birth_date, $message);
                $message = str_replace('{user_pronoun}', $user->pronoun, $message);
                $message = str_replace('{user_gender}', $user->getGender(), $message);
                $message = str_replace('{user_first_name}', $user->name, $message);
                $message = str_replace('{user_last_name}', $user->family, $message);
                $message = str_replace('{user_pre_name}', $user->pre_name, $message);

            }

            if (!empty($test)) {
                $message = str_replace('{test_date}', wpkok_lab_date($test->date) ?? '{test_date}', $message);
                $message = str_replace('{test_date_day}', wpkok_lab_date($test->date, __('m.d.Y', 'webkok-lab')), $message);
                $message = str_replace('{test_id}', $test->id ?? '{test_id}', $message);
                $message = str_replace('{test_status}', wpkok_lab_test_status($test->status) ?? '{test_status}', $message);
                $message = str_replace('{test_doctor_description}', $test->doctor_interpretation ?? '{test_doctor_description}', $message);
            }

            $message = apply_filters('laboratory_interpretation_message_replaced_keys', $message, $user);
            return $message;
        } catch (Exception $e) {
            return apply_filters('laboratory_interpretation_message_replaced_keys', $message, $user);
        }
    }
}

