<?php


namespace WebkokLab\Lib\Entities;


use PHPMailer\PHPMailer\Exception;
use WebkokLab\Lib;
use WebkokLab\Lib\Base\Entity;

class Test extends Entity
{
    static $table = 'webkok_lab_tests';

    /**
     * Columns
     *
     * @var string[]
     */
    static $columns = [
        'id',
        'user_id',
        'details',
        'date',
        'status',
        'doctor_interpretation',
    ];

    /**
     * Find test
     *
     * @param $id
     * @return array|object|null
     */
    public static function find($id)
    {
        try {
            $test = Lib\Entities\Test::query()->where('id', $id)->first();
            if (empty($test)) return null;
            $test->details = json_decode($test->details, true);
            return $test;
        } catch (Exception $e) {
            return null;
        }
    }
}