<?php

namespace WebkokLab\Lib\Messages;

use PHPMailer\PHPMailer\Exception;
use WebkokLab\Lib\Base\Notify;
use WebkokLab\Lib\Entities\Test;
use WebkokLab\Lib\Models\User;

class Interpreted extends Notify
{

    public static function send($test_id)
    {
        try {
            if (empty($test_id)) return;

            $test = Test::find($test_id);
            if (empty($test)) return;

            if ($test->status == 'New') return;

            $user = get_user_by('ID', $test->user_id);

            if (empty($user)) return;

            self::mail($test, $user);
        } catch (\Exception $e) {

        }
    }

    private static function mail($test, $user)
    {
        try {

            if (!wpkok_lab_get_option('send_mail_before_interpretation')) return;

            $subject = wpkok_lab_get_option('interpretation_mail_subject');
            $message = wpkok_lab_get_option('interpretation_mail_message');

            $subject = self::replaceKeys($subject, $test, $user);
            $message = self::replaceKeys($message, $test, $user);

            self::sendMail($user->user_email, $subject, $message);
        } catch (Exception $e) {

        }
    }

}