<?php

namespace WebkokLab\Lib\Models;

use PHPMailer\PHPMailer\Exception;

class Gender
{
    public $selected;
    public $name;
    public $id;

    /**
     * Gender constructor.
     */
    public function __construct()
    {

    }

    public static function items(): array
    {
        return [
            'men' => __("Men", 'webkok-lab'),
            'female' => __("Female", 'webkok-lab'),
            'other' => __("Other", 'webkok-lab'),
        ];
    }


    public static function item($key)
    {
        try {
            $items = self::items();
            if (isset($items[$key])) return self::items()[$key];
            return $key;
        } catch (Exception $e) {
            return $key;
        }
    }

    public function generate($selected = null)
    {
        if (!empty($selected)) $this->setSelected($selected);
        $genders = self::items();
        ?>
        <select name="<?php echo esc_attr($this->name ?? 'gender') ?>"
                id="<?php echo esc_attr($this->id ?? 'gender') ?>">
            <?php foreach ($genders as $key => $gender) { ?>
                <option value="<?php echo esc_attr($key) ?>" <?php echo $this->selected == $key ? 'selected' : '' ?>>
                    <?php esc_html_e($gender, 'webkok-lab'); ?>
                </option>
            <?php } ?>
        </select>
        <?php
    }

    /**
     * @param mixed $selected
     */
    public function setSelected($selected): void
    {
        $this->selected = $selected;
    }

    /**
     * @param mixed $id
     */
    public function setId($id): void
    {
        $this->id = $id;
    }

    /**
     * @param mixed $name
     */
    public function setName($name): void
    {
        $this->name = $name;
    }
}